<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.collections.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="291.0" prefWidth="627.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="catering.AddTaskController">
  <children>
    <GridPane AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
      <children>
        <Label fx:id="title" text="Inserisci dati compito:" textAlignment="LEFT" GridPane.columnIndex="0" GridPane.halignment="CENTER" GridPane.rowIndex="0">
          <font>
            <Font size="17.0" />
          </font>
        </Label>
        <Separator prefWidth="200.0" GridPane.columnIndex="0" GridPane.rowIndex="0" GridPane.valignment="BOTTOM" />
        <GridPane prefHeight="163.0" prefWidth="458.0" GridPane.columnIndex="0" GridPane.rowIndex="1">
          <children>
            <GridPane GridPane.columnIndex="0" GridPane.rowIndex="0">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="115.0" minWidth="10.0" prefWidth="57.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="223.0" minWidth="10.0" prefWidth="223.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
                     <children>
                <Label text="Quantità:" GridPane.halignment="RIGHT" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1">
                  <children>
                    <TextField fx:id="quantity" prefWidth="164.0" AnchorPane.bottomAnchor="16.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="48.0" AnchorPane.topAnchor="16.0" />
                  </children>
                </AnchorPane>
                     </children>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="0">
              <children>
                <Label text="Turno:" GridPane.columnIndex="0" GridPane.halignment="LEFT" GridPane.rowIndex="0" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="0">
                  <children>
                    <ChoiceBox fx:id="shiftsBox" prefWidth="181.0" AnchorPane.bottomAnchor="11.0" AnchorPane.leftAnchor="45.0" AnchorPane.rightAnchor="9.0" AnchorPane.topAnchor="14.0">
                      <items>
                        <FXCollections fx:factory="observableArrayList">
                          <String fx:value="Item 1" />
                          <String fx:value="Item 2" />
                          <String fx:value="Item 3" />
                        </FXCollections>
                      </items>
                    </ChoiceBox>
                  </children>
                </AnchorPane>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="114.0" minWidth="10.0" prefWidth="45.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="235.0" minWidth="10.0" prefWidth="235.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
            <GridPane GridPane.columnIndex="0" GridPane.rowIndex="1">
              <children>
                <Label text="Cuoco:" GridPane.halignment="RIGHT" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="0">
                  <children>
                    <ChoiceBox fx:id="cooksBox" prefWidth="164.0" AnchorPane.bottomAnchor="18.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="50.0" AnchorPane.topAnchor="14.0">
                      <items>
                        <FXCollections fx:factory="observableArrayList">
                          <String fx:value="Item 1" />
                          <String fx:value="Item 2" />
                          <String fx:value="Item 3" />
                        </FXCollections>
                      </items>
                    </ChoiceBox>
                  </children>
                </AnchorPane>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="115.0" minWidth="10.0" prefWidth="57.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="224.0" minWidth="10.0" prefWidth="224.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="1">
              <children>
                <Label text="Stima del tempo:" GridPane.columnIndex="0" GridPane.halignment="LEFT" GridPane.rowIndex="0" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="0">
                  <children>
                    <TextField fx:id="time" prefHeight="25.0" prefWidth="127.0" AnchorPane.bottomAnchor="15.0" AnchorPane.leftAnchor="8.0" AnchorPane.rightAnchor="63.0" AnchorPane.topAnchor="16.0" />
                              <Label layoutX="137.0" layoutY="21.0" prefHeight="15.0" prefWidth="53.0" text="minuti" />
                  </children>
                </AnchorPane>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="115.0" minWidth="10.0" prefWidth="86.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="205.0" minWidth="10.0" prefWidth="162.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
            <GridPane GridPane.columnIndex="0" GridPane.rowIndex="2">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="115.0" minWidth="10.0" prefWidth="68.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="243.0" minWidth="10.0" prefWidth="212.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
                     <children>
                <Label text="Completato:" GridPane.halignment="LEFT" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1">
                           <children>
                              <CheckBox fx:id="completed" layoutX="70.0" layoutY="18.0" mnemonicParsing="false" AnchorPane.bottomAnchor="17.0" AnchorPane.leftAnchor="17.0" AnchorPane.topAnchor="18.0" />
                           </children>
                </AnchorPane>
                     </children>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="2">
              <children>
                <Label text="Da preparare:" GridPane.columnIndex="0" GridPane.halignment="LEFT" GridPane.rowIndex="0" />
                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="0">
                           <children>
                              <CheckBox fx:id="toBePrepared" layoutX="24.0" layoutY="14.0" mnemonicParsing="false" AnchorPane.bottomAnchor="21.0" AnchorPane.leftAnchor="10.0" />
                           </children>
                </AnchorPane>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="114.0" minWidth="10.0" prefWidth="85.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="195.0" minWidth="10.0" prefWidth="195.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="3">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="113.0" minWidth="10.0" prefWidth="75.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="198.0" minWidth="10.0" prefWidth="198.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
          </children>
          <columnConstraints>
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
          </columnConstraints>
          <rowConstraints>
            <RowConstraints maxHeight="110.0" minHeight="10.0" prefHeight="44.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="159.0" minHeight="10.0" prefHeight="51.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="202.0" minHeight="10.0" prefHeight="52.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="202.0" minHeight="10.0" prefHeight="52.0" vgrow="SOMETIMES" />
          </rowConstraints>
        </GridPane>
        <GridPane GridPane.columnIndex="0" GridPane.rowIndex="2">
          <children>
            <Separator prefWidth="200.0" GridPane.columnIndex="0" GridPane.rowIndex="0" GridPane.valignment="TOP" />
            <GridPane GridPane.columnIndex="0" GridPane.rowIndex="1">
              <children>
                <GridPane GridPane.columnIndex="1" GridPane.rowIndex="0">
                  <children>
                    <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="0" GridPane.rowIndex="0">
                      <children>
                        <Button fx:id="assignButton" mnemonicParsing="false" onAction="#onAssign" text="Assegna" AnchorPane.bottomAnchor="10.0" AnchorPane.leftAnchor="15.0" AnchorPane.rightAnchor="15.0" AnchorPane.topAnchor="10.0" />
                      </children>
                    </AnchorPane>
                    <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="0">
                      <children>
                        <Button mnemonicParsing="false" onAction="#exitButton" text="Annulla" AnchorPane.bottomAnchor="10.0" AnchorPane.leftAnchor="15.0" AnchorPane.rightAnchor="15.0" AnchorPane.topAnchor="10.0" />
                      </children>
                    </AnchorPane>
                  </children>
                  <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                  </columnConstraints>
                  <rowConstraints>
                    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  </rowConstraints>
                </GridPane>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
            </GridPane>
          </children>
          <columnConstraints>
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
          </columnConstraints>
          <rowConstraints>
            <RowConstraints maxHeight="41.0" minHeight="0.0" prefHeight="5.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="81.0" minHeight="10.0" prefHeight="76.0" vgrow="SOMETIMES" />
          </rowConstraints>
        </GridPane>
      </children>
      <columnConstraints>
        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
      </columnConstraints>
      <rowConstraints>
        <RowConstraints maxHeight="158.0" minHeight="0.0" prefHeight="54.0" vgrow="SOMETIMES" />
        <RowConstraints maxHeight="1.7976931348623157E308" minHeight="10.0" prefHeight="203.0" vgrow="SOMETIMES" />
        <RowConstraints maxHeight="1.7976931348623157E308" minHeight="0.0" prefHeight="34.0" vgrow="SOMETIMES" />
      </rowConstraints>
    </GridPane>
  </children>
</AnchorPane>
